Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11RSAPublicKey

    java.lang.Object
      org.mozilla.jss.pkcs11.PK11PubKey
          org.mozilla.jss.pkcs11.PK11RSAPublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.interfaces.RSAKey, java.security.interfaces.RSAPublicKey, java.security.Key, java.security.PublicKey

    public class PK11RSAPublicKey

extends PK11PubKey
implements java.security.interfaces.RSAPublicKey

See Also:
  Serialized Form

Field Summary
`protected org.mozilla.jss.pkcs11.KeyProxy` | `keyProxy`

Fields inherited from interface java.security.interfaces.RSAPublicKey
`serialVersionUID`

Constructor Summary
`PK11RSAPublicKey(byte[] pointer)`

Method Summary
`java.math.BigInteger` | `getModulus()`
`java.math.BigInteger` | `getPublicExponent()`

Methods inherited from class org.mozilla.jss.pkcs11.PK11PubKey
`fromRaw, fromSPKI, getAlgorithm, getEncoded, getFormat, getKeyType, verifyKeyIsOnToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### keyProxy

    protected org.mozilla.jss.pkcs11.KeyProxy keyProxy

Constructor Detail

### PK11RSAPublicKey

    public PK11RSAPublicKey(byte[] pointer)

Method Detail

### getModulus

    public java.math.BigInteger getModulus()

  Specified by:
    `getModulus` in interface `java.security.interfaces.RSAKey`

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Specified by:
    `getPublicExponent` in interface `java.security.interfaces.RSAPublicKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD